# [AgileKit UI](#)

AgileKit UI is a React component library designed to help developers create the best experience for Agile products.

## Using the React components

### Installation

Run the following command using [npm](https://www.npmjs.com/):

```bash
npm install @agilekit/ui --save
```

If you prefer [Yarn](https://yarnpkg.com/en/), use the following command instead:

```bash
yarn add @agilekit/ui
```

### Usage

1.  Include any of the provided components in your project:

```javascript
import { Button, Page, Card, TableList } from '@agilekit/ui';
```

2.  Tell React to render the element in the DOM:

```javascript
ReactDOM.render(
  <AppProvider>
    <Page title="My App">
      <Card sectioned>
        <Button onClick={() => alert('Hey clicked!')}>button sample</Button>
      </Card>
    </Page>
  </AppProvider>,
  document.querySelector('#root'),
);
```
