"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var components_1 = require("./components");
var Loader_1 = require("../Loader");
var styles = tslib_1.__importStar(require("./ActionList.module.scss"));
function ActionList(_a) {
    var items = _a.items, _b = _a.sections, sections = _b === void 0 ? [] : _b, actionRole = _a.actionRole, onActionAnyItem = _a.onActionAnyItem, _c = _a.isLoading, isLoading = _c === void 0 ? false : _c;
    var finalSections = [];
    if (items) {
        finalSections = tslib_1.__spread([{ items: items }], sections);
    }
    else if (sections) {
        finalSections = sections;
    }
    var hasMultipleSections = finalSections.length > 1;
    var Element = hasMultipleSections ? 'ul' : 'div';
    var sectionMarkup = finalSections.map(function (section, index) {
        return (React.createElement(components_1.Section, { key: section.title || index, section: section, onActionAnyItem: onActionAnyItem, hasMultipleSections: hasMultipleSections, actionRole: actionRole }));
    });
    var loadingSpinner = isLoading && (React.createElement("div", { className: styles['Loader'] },
        React.createElement(Loader_1.Loader.Balls, null)));
    return (React.createElement("div", { className: styles['ActionList'] },
        !isLoading && sectionMarkup,
        loadingSpinner));
}
exports.default = ActionList;
//# sourceMappingURL=ActionList.js.map