import * as React from 'react';
export type Status = 'success' | 'info' | 'attention' | 'warning' | 'new';
export type Progress = 'incomplete' | 'partiallyComplete' | 'complete';
export type Size = 'small' | 'medium';
export interface IBadgeProps {
    children?: string;
    status?: Status;
    progress?: Progress;
    size?: Size;
}
export declare const PROGRESS_LABELS: {
    [key in Progress]: Progress;
};
export declare const STATUS_LABELS: {
    [key in Status]: Status;
};
declare function Badge({ children, status, progress, size }: IBadgeProps): React.JSX.Element;
export default Badge;
