"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var styles = tslib_1.__importStar(require("./Card.module.scss"));
var Box_1 = require("../Box");
var CardBody_1 = require("./components/CardBody");
var CardFooter_1 = require("./components/CardFooter");
var CardHeader_1 = require("./components/CardHeader");
var Card = (function (_super) {
    tslib_1.__extends(Card, _super);
    function Card() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Card.prototype.renderCardHeader = function () {
        var title = this.props.title;
        return (title && (React.createElement(Card.Header, null,
            React.createElement("p", { className: styles['title-header'] }, title))));
    };
    Card.prototype.render = function () {
        var children = this.props.children;
        return (React.createElement(Box_1.Box, tslib_1.__assign({}, this.props),
            React.createElement("div", { className: classnames_1.default(styles['Card'], 'card') },
                this.renderCardHeader(),
                children)));
    };
    Card.defaultProps = { width: 1 };
    Card.Header = CardHeader_1.CardHeader;
    Card.Footer = CardFooter_1.CardFooter;
    Card.Body = CardBody_1.CardBody;
    return Card;
}(React.Component));
exports.default = Card;
//# sourceMappingURL=Card.js.map