"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Choice_1 = tslib_1.__importDefault(require("../Choice/Choice"));
var Icon_1 = tslib_1.__importDefault(require("../Icon/Icon"));
var utils_1 = require("../utils");
var styles = tslib_1.__importStar(require("./Checkbox.module.scss"));
var getUniqueID = utils_1.idGenerator('Checkbox');
var Checkbox = function (_a) {
    var _b = _a.id, id = _b === void 0 ? getUniqueID() : _b, label = _a.label, labelHidden = _a.labelHidden, helpText = _a.helpText, _c = _a.checked, checked = _c === void 0 ? false : _c, error = _a.error, disabled = _a.disabled, onChange = _a.onChange, onFocus = _a.onFocus, onBlur = _a.onBlur, name = _a.name, value = _a.value;
    var _d, _e;
    var classNames = classnames_1.default(styles['Checkbox'], (_d = {}, _d[styles['Error']] = error, _d), (_e = {}, _e[styles['Disabled']] = disabled, _e));
    var handleChange = function (e) {
        var currentTarget = e.currentTarget;
        if (onChange) {
            onChange(currentTarget.checked, id);
        }
        if (checked && !currentTarget.checked) {
            currentTarget.focus();
        }
    };
    return (React.createElement(Choice_1.default, { id: id, label: label, labelHidden: labelHidden, helpText: helpText, error: error, disabled: disabled },
        React.createElement("span", { className: classNames },
            React.createElement("input", { id: id, name: name, value: value, type: "checkbox", checked: checked, disabled: disabled, className: styles['Input'], onChange: handleChange, onFocus: onFocus, onBlur: onBlur, role: "checkbox" }),
            React.createElement("span", { className: styles['Backdrop'] }),
            React.createElement("span", { className: styles['Icon'] },
                React.createElement(Icon_1.default, { source: "check", color: "N000", size: 8 })))));
};
exports.default = Checkbox;
//# sourceMappingURL=Checkbox.js.map