"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Box_1 = require("../Box");
var Icon_1 = tslib_1.__importDefault(require("../Icon/Icon"));
var styles = tslib_1.__importStar(require("./Choice.module.scss"));
var Choice = function (_a) {
    var id = _a.id, label = _a.label, disabled = _a.disabled, error = _a.error, children = _a.children, labelHidden = _a.labelHidden, labelIcon = _a.labelIcon, helpText = _a.helpText;
    var _b, _c;
    var className = classnames_1.default(styles['Choice'], (_b = {}, _b[styles['labelHidden']] = labelHidden, _b), (_c = {}, _c[styles['Disabled']] = disabled, _c));
    var labelMarkup = (React.createElement("label", { className: className, htmlFor: id },
        React.createElement("span", { className: styles['Control'] }, children),
        labelIcon && (React.createElement(Box_1.Box, { pr: 1 },
            React.createElement(Icon_1.default, { source: labelIcon, customColor: "#333" }))),
        React.createElement("span", { className: styles['Label'] }, label)));
    var helpTextMarkup = helpText ? (React.createElement("div", { className: styles['HelpText'], id: helpTextID(id) }, helpText)) : null;
    var errorMarkup = error && typeof error !== 'boolean' && React.createElement("div", { className: styles['Error'] }, error);
    var descriptionMarkup = helpTextMarkup || errorMarkup ? (React.createElement("div", { className: styles['Descriptions'] },
        errorMarkup,
        helpTextMarkup)) : null;
    return descriptionMarkup ? (React.createElement("div", null,
        labelMarkup,
        descriptionMarkup)) : (labelMarkup);
};
exports.default = Choice;
function helpTextID(id) {
    return id + "HelpText";
}
exports.helpTextID = helpTextID;
//# sourceMappingURL=Choice.js.map