import * as React from 'react';
export type Size = 'small' | 'medium' | 'large' | 'xlarge' | 'full' | 'viewport';
export interface IDrawerProps {
    id?: string;
    anchor: 'bottom' | 'left' | 'right' | 'top';
    open: boolean;
    title?: string | React.ReactNode;
    children?: React.ReactNode;
    footer?: React.ReactNode;
    loading?: boolean;
    size?: Size;
    tabs?: any;
    primaryAction?: React.ReactNode;
    secondaryAction?: React.ReactNode;
    large?: boolean;
    limitHeight?: boolean;
    bodyStyle?: Record<string, any>;
    onClose(): void;
    onTransitionEnd?(): void;
    transitionDuration?: number | {
        appear?: number;
        enter?: number;
        exit?: number;
    };
}
declare const CustomDrawer: React.FC<IDrawerProps>;
export default CustomDrawer;
