import * as React from 'react';
import * as PropTypes from 'prop-types';
type ColSpanType = number | string;
export interface IColSize {
    span?: ColSpanType;
    order?: ColSpanType;
    offset?: ColSpanType;
    push?: ColSpanType;
    pull?: ColSpanType;
}
export interface IColProps extends React.HTMLAttributes<HTMLDivElement> {
    span?: ColSpanType;
    order?: ColSpanType;
    offset?: ColSpanType;
    push?: ColSpanType;
    pull?: ColSpanType;
    xs?: ColSpanType | IColSize;
    sm?: ColSpanType | IColSize;
    md?: ColSpanType | IColSize;
    lg?: ColSpanType | IColSize;
    xl?: ColSpanType | IColSize;
    xxl?: ColSpanType | IColSize;
    prefixCls?: string;
}
export default class Col extends React.Component<IColProps, any> {
    static propTypes: {
        span: PropTypes.Requireable<number>;
        order: PropTypes.Requireable<number>;
        offset: PropTypes.Requireable<number>;
        push: PropTypes.Requireable<number>;
        pull: PropTypes.Requireable<number>;
        className: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        xs: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        sm: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        md: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        lg: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        xl: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        xxl: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
    };
    renderCol: () => React.JSX.Element;
    render(): React.JSX.Element;
}
export {};
