import * as React from 'react';
import * as PropTypes from 'prop-types';
import { BoxProps } from '@material-ui/core';
export type Breakpoint = 'xxl' | 'xl' | 'lg' | 'md' | 'sm' | 'xs';
export type BreakpointMap = Partial<Record<Breakpoint, string>>;
declare const RowAligns: ["top", "middle", "bottom"];
declare const RowJustify: ["start", "end", "center", "space-around", "space-between"];
export interface IRowProps extends BoxProps {
    gutter?: number | Partial<Record<Breakpoint, number>>;
    type?: 'flex';
    noWrap?: boolean;
    align?: (typeof RowAligns)[number];
    justify?: (typeof RowJustify)[number];
    prefixCls?: string;
}
export interface IRowState {
    screens: BreakpointMap;
}
export default class Row extends React.Component<IRowProps, IRowState> {
    static defaultProps: {
        gutter: number;
    };
    static propTypes: {
        type: PropTypes.Requireable<"flex">;
        noWrap: PropTypes.Requireable<boolean>;
        align: PropTypes.Requireable<"bottom" | "top" | "middle">;
        justify: PropTypes.Requireable<"space-around" | "space-between" | "center" | "end" | "start">;
        className: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        gutter: PropTypes.Requireable<NonNullable<number | object | null | undefined>>;
        prefixCls: PropTypes.Requireable<string>;
    };
    state: IRowState;
    queryListener(screen: any): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    getGutter(): number | undefined;
    renderRow: () => React.JSX.Element;
    render(): React.JSX.Element;
}
export {};
