"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Icon_1 = tslib_1.__importDefault(require("../Icon/Icon"));
var Label_1 = tslib_1.__importDefault(require("../Label/Label"));
var styles = tslib_1.__importStar(require("./Labelled.module.scss"));
var Labelled = function (_a) {
    var id = _a.id, label = _a.label, error = _a.error, helpText = _a.helpText, disabled = _a.disabled, children = _a.children, focused = _a.focused, labelHidden = _a.labelHidden, props = tslib_1.__rest(_a, ["id", "label", "error", "helpText", "disabled", "children", "focused", "labelHidden"]);
    var _b, _c;
    var className = classnames_1.default(labelHidden && styles['hidden'], styles['LabelContainer'], (_b = {},
        _b[styles['Focus']] = focused,
        _b), (_c = {},
        _c[styles['Disabled']] = disabled,
        _c));
    var helpTextHTML = helpText ? (React.createElement("div", { className: styles['HelpText'], id: helpTextID(id) }, helpText)) : null;
    var errorHTML = error && typeof error !== 'boolean' && (React.createElement("div", { className: styles['Error'] },
        React.createElement("span", { className: styles['ErrorIcon'] },
            React.createElement(Icon_1.default, { source: "exclamation", size: 10, color: "N000" })),
        error));
    var labelMarkup = label ? (React.createElement("div", { className: styles['LabelWrapper'] },
        React.createElement(Label_1.default, tslib_1.__assign({ id: id }, props, { hidden: false }), label))) : null;
    return (React.createElement("div", { className: className },
        labelMarkup,
        children,
        errorHTML,
        helpTextHTML));
};
exports.default = Labelled;
function helpTextID(id) {
    return id + "HelpText";
}
exports.helpTextID = helpTextID;
//# sourceMappingURL=Labelled.js.map