import * as React from 'react';
import { ModalProps } from '@material-ui/core';
export type Size = 'small' | 'medium' | 'large' | 'xlarge';
export interface IModalProps extends Omit<ModalProps, 'title'> {
    open: boolean;
    title?: string | React.ReactNode;
    footer?: React.ReactNode;
    large?: boolean;
    limitHeight?: boolean;
    loading?: boolean;
    size?: Size;
    bodyStyle?: Record<string, any>;
    onClose?: () => void;
    onTransitionEnd?(): void;
    paperClasses?: Record<string, any>;
    modalClasses?: Record<string, any>;
}
declare const CustomModal: React.FC<IModalProps>;
export default CustomModal;
