"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_transition_group_1 = require("react-transition-group");
var Backdrop_1 = require("../Backdrop/");
var Portal_1 = require("../Portal/");
var components_1 = require("./components");
var styles = tslib_1.__importStar(require("./Modal.module.scss"));
var index_1 = require("../utils/index");
var getUniqueID = index_1.idGenerator('modal-header');
var Modal = (function (_super) {
    tslib_1.__extends(Modal, _super);
    function Modal() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.headerId = getUniqueID();
        _this.handleEntered = function () {
            var onTransitionEnd = _this.props.onTransitionEnd;
            if (onTransitionEnd) {
                onTransitionEnd();
            }
        };
        _this.handleExited = function () {
            return null;
        };
        return _this;
    }
    Modal.prototype.render = function () {
        var _a = this.props, children = _a.children, title = _a.title, open = _a.open, loading = _a.loading, large = _a.large, limitHeight = _a.limitHeight, onClose = _a.onClose, footer = _a.footer, primaryAction = _a.primaryAction, secondaryAction = _a.secondaryAction;
        var dialog;
        var backdrop;
        if (open) {
            var footerMarkup = !footer && !primaryAction && !secondaryAction ? null : (React.createElement(components_1.Footer, { primaryAction: primaryAction, secondaryAction: secondaryAction }, footer));
            var bodyMarkup = children;
            var headerMarkup = title ? (React.createElement(components_1.Header, { id: this.headerId, onClose: onClose }, title)) : (React.createElement(components_1.CloseButton, { onClick: onClose }));
            dialog = (React.createElement(components_1.Dialog, { onClose: onClose, onEntered: this.handleEntered, onExited: this.handleExited, large: large, limitHeight: limitHeight },
                headerMarkup,
                React.createElement("div", { className: styles['BodyWrapper'] }, bodyMarkup),
                footerMarkup));
            backdrop = React.createElement(Backdrop_1.Backdrop, null);
        }
        return (React.createElement(Portal_1.Portal, { idPrefix: "modal" },
            React.createElement(react_transition_group_1.TransitionGroup, { appear: true, enter: true, exit: true }, dialog),
            backdrop));
    };
    Modal.Section = components_1.Section;
    return Modal;
}(React.Component));
exports.default = Modal;
//# sourceMappingURL=Modal.js.map