"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Icon_1 = tslib_1.__importDefault(require("../../../Icon/Icon"));
var styles = tslib_1.__importStar(require("./NavFilterItem.module.scss"));
var NavFilterItem = function (_a) {
    var count = _a.count, onFilter = _a.onFilter, value = _a.value, icon = _a.icon;
    var _b, _c, _d, _e, _f;
    var onFilterClick = function () {
        onFilter(value);
    };
    var isFailed = value.indexOf('Failed') >= 0;
    var isExpiring = value.indexOf('Expiring') >= 0;
    var isExpired = value.indexOf('Expired') >= 0;
    var isRequested = value.indexOf('Requested') >= 0;
    var isCompleted = value.indexOf('Completed') >= 0;
    var isReceived = value.indexOf('Received') >= 0;
    var renderIcon = (React.createElement(React.Fragment, null,
        isFailed && React.createElement(Icon_1.default, { source: "slash", color: "R400" }),
        isExpiring && React.createElement(Icon_1.default, { source: "creditCard", color: "Y400" }),
        isExpired && React.createElement(Icon_1.default, { source: "creditCard", color: "R400" }),
        isRequested && React.createElement(Icon_1.default, { source: "settings", color: "B400" }),
        isCompleted && React.createElement(Icon_1.default, { source: "settings", color: "G400" }),
        isReceived && React.createElement(Icon_1.default, { source: "slash", color: "R400" })));
    var classNames = classnames_1.default(styles['NavFilterItem'], (_b = {},
        _b[styles['danger']] = isFailed || isExpired || isReceived,
        _b), (_c = {},
        _c[styles['warning']] = isExpiring,
        _c), (_d = {},
        _d[styles['success']] = isCompleted,
        _d), (_e = {},
        _e[styles['action']] = false,
        _e), (_f = {},
        _f[styles['secondary']] = isRequested,
        _f));
    return (React.createElement("li", { onClick: onFilterClick, key: count },
        React.createElement("div", null,
            icon,
            React.createElement("span", { className: classNames }, value)),
        React.createElement("div", { className: styles['FilterCount'] }, count)));
};
exports.default = NavFilterItem;
//# sourceMappingURL=NavFilterItem.js.map