import * as React from 'react';
interface IOptionItem {
    value: string;
    label: string;
    disabled?: boolean;
}
export type SelectOption = string | IOptionItem;
export interface ISelectProps {
    selectRef?: (input: HTMLInputElement | null | undefined) => any;
    options?: IOptionItem[];
    label: string;
    labelHidden?: boolean;
    disabled?: boolean;
    helpText?: React.ReactNode;
    placeholder?: string;
    id?: string;
    name?: string;
    value?: string;
    error?: Error | boolean | string;
    onChange?(e: React.ChangeEvent<any> | string, id?: string): void;
    onFocus?(): void;
    onBlur?(): void;
}
declare const Select: React.FC<ISelectProps>;
export default Select;
