import * as React from 'react';
import { IconName } from '../Icon/iconClass';
export type Type = 'text' | 'email' | 'number' | 'password' | 'search' | 'tel' | 'url' | 'date' | 'datetime-local' | 'month' | 'time' | 'week' | 'currency';
export interface ITextFieldProps extends React.HTMLAttributes<HTMLInputElement> {
    inputRef?: (input: HTMLInputElement | null | undefined) => any;
    prepend?: React.ReactNode;
    append?: React.ReactNode;
    placeholder?: string;
    value?: string | undefined;
    helpText?: React.ReactNode;
    label: string;
    labelHidden?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
    autoFocus?: boolean;
    autoComplete?: boolean | string;
    focused?: boolean;
    multiline?: boolean | number;
    datePicker?: boolean | number;
    colorPicker?: boolean | number;
    error?: Error | boolean | string;
    type?: Type;
    name?: string;
    id?: string;
    iconLeft?: IconName;
    iconRight?: IconName;
    size?: 'nano' | 'default';
    onFocus?: any;
    onBlur?: any;
    onChange?(e: React.ChangeEvent<any> | string, id?: string): void;
}
declare const OldTextField: React.FC<ITextFieldProps>;
export default OldTextField;
