"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PageEllipsis_1 = tslib_1.__importDefault(require("./components/PageEllipsis/PageEllipsis"));
var PageMove_1 = tslib_1.__importDefault(require("./components/PageMove/PageMove"));
var PageNumber_1 = tslib_1.__importDefault(require("./components/PageNumber/PageNumber"));
var styles = tslib_1.__importStar(require("./Pagination.module.scss"));
var collapseRange_1 = tslib_1.__importStar(require("./utils/collapseRange"));
var Pagination = function (_a) {
    var _b = _a.pages, pages = _b === void 0 ? [] : _b, _c = _a.totalPages, totalPages = _c === void 0 ? 0 : _c, _d = _a.max, max = _d === void 0 ? 0 : _d, _e = _a.defaultSelectedIndex, defaultSelectedIndex = _e === void 0 ? 0 : _e, onPageChange = _a.onPageChange, renderEllipsis = _a.renderEllipsis, collapseRange = _a.collapseRange, _f = _a.activeIndex, activeIndex = _f === void 0 ? 0 : _f, _g = _a.currentPage, currentPage = _g === void 0 ? 1 : _g;
    if (!pages.length) {
        pages = collapseRange_1.parseToPagesArray(totalPages);
    }
    var onChange = function (event, newSelectedPage) {
        if (onPageChange) {
            onPageChange(event, newSelectedPage);
        }
    };
    var pagesToComponents = function (pages) {
        return pages.map(function (page, index) {
            return React.createElement(PageNumber_1.default, { key: index, isSelected: currentPage === page, page: page, onClick: onChange });
        });
    };
    var renderDots = function (key) { return React.createElement(PageEllipsis_1.default, { key: key }); };
    var renderPages = function () {
        var pagesComponents = pagesToComponents(pages);
        return collapseRange && collapseRange(pagesComponents, max, renderDots, currentPage);
    };
    return (React.createElement("div", { className: styles['Pagination'] },
        React.createElement(PageMove_1.default, { movement: "backward", onClick: onChange, page: currentPage, totalPages: totalPages }),
        renderPages(),
        React.createElement(PageMove_1.default, { movement: "forward", onClick: onChange, page: currentPage, totalPages: totalPages })));
};
Pagination.defaultProps = {
    renderEllipsis: PageEllipsis_1.default,
    onPageChange: function () { },
    defaultSelectedIndex: 0,
    collapseRange: collapseRange_1.default,
    max: 7,
};
exports.default = Pagination;
//# sourceMappingURL=Pagination.js.map