"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
function collapseRange(pages, max, ellipsis, current) {
    var total = pages.length;
    var needEllipsis = total > max;
    var hasStartEllipsis = needEllipsis && max - 3 < current;
    var hasEndEllipsis = needEllipsis && current < total - max + 4;
    var pageCount;
    if (!needEllipsis) {
        return pages;
    }
    else if (hasStartEllipsis && !hasEndEllipsis) {
        pageCount = max - 2;
        return tslib_1.__spread([pages[0], ellipsis('elipses-1')], pages.slice(total - pageCount));
    }
    else if (!hasStartEllipsis && hasEndEllipsis) {
        pageCount = max - 2;
        return tslib_1.__spread(pages.slice(0, pageCount), [ellipsis('elipses-2'), pages[total - 1]]);
    }
    pageCount = max - 4;
    return tslib_1.__spread([
        pages[0],
        ellipsis('elipses-1')
    ], pages.slice(current - Math.floor(pageCount / 2), current + pageCount - 1), [
        ellipsis('elipses-2'),
        pages[total - 1],
    ]);
}
exports.default = collapseRange;
function parseToPagesArray(totalPages) {
    var pagesArray = [];
    for (var i = 1; i <= totalPages; i++) {
        pagesArray.push(i);
    }
    return pagesArray;
}
exports.parseToPagesArray = parseToPagesArray;
//# sourceMappingURL=collapseRange.js.map