"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var popper_js_1 = tslib_1.__importDefault(require("popper.js"));
var React = tslib_1.__importStar(require("react"));
var utils_1 = require("../utils");
var Popover_module_scss_1 = tslib_1.__importDefault(require("./Popover.module.scss"));
var Popover = function (_a) {
    var activator = _a.activator, children = _a.children, offset = _a.offset, placement = _a.placement, zIndex = _a.zIndex, _b = _a.trigger, trigger = _b === void 0 ? 'click' : _b, _c = _a.active, active = _c === void 0 ? false : _c;
    var _d;
    var _e = tslib_1.__read(React.useState(active), 2), visible = _e[0], setVisible = _e[1];
    var popoverRef = React.useRef(null);
    var activatorRef = React.useRef(null);
    var eventFromTrigger = false;
    var popperOptions = {
        modifiers: {
            offset: {
                offset: offset || '0,5',
            },
        },
        placement: placement || 'bottom-start',
    };
    var checkForClickOutside = function (e) {
        if (!eventFromTrigger) {
            if (activatorRef.current && popoverRef.current) {
                if (!popoverRef.current.contains(e.target) && !activatorRef.current.contains(e.target)) {
                    setVisible(false);
                }
                else if (utils_1.findParentBySelector(e.target, '.close-container')) {
                    setVisible(false);
                }
            }
        }
        else {
            eventFromTrigger = false;
        }
    };
    var handleTrigger = function () {
        setVisible(!visible);
        eventFromTrigger = true;
        window.removeEventListener('click', checkForClickOutside, true);
    };
    React.useEffect(function () {
        if (activatorRef.current && popoverRef.current) {
            var popper = new popper_js_1.default(activatorRef.current, popoverRef.current, popperOptions);
        }
        window.addEventListener('click', checkForClickOutside, true);
        return function () {
            window.removeEventListener('click', checkForClickOutside, true);
        };
    }, [visible]);
    var classPopover = classnames_1.default(Popover_module_scss_1.default['Popover'], (_d = {}, _d[Popover_module_scss_1.default['NotVisible']] = !visible, _d));
    var stylePopover = {
        zIndex: zIndex || undefined,
    };
    var classActivator = classnames_1.default(Popover_module_scss_1.default['Activator']);
    var activatorEvent = {
        onClick: trigger === 'click' ? handleTrigger : undefined,
        onMouseMove: trigger === 'mousemove' ? handleTrigger : undefined,
    };
    return (React.createElement(React.Fragment, null,
        React.createElement("div", tslib_1.__assign({ className: classActivator, ref: activatorRef }, activatorEvent), activator),
        React.createElement("div", { className: classPopover, ref: popoverRef, style: stylePopover }, children)));
};
var CloseAction = function (props) {
    return React.createElement("div", { className: "close-container" }, props.children);
};
Popover.CloseAction = CloseAction;
exports.default = Popover;
//# sourceMappingURL=Popover.js.map