"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_dom_1 = require("react-dom");
var utils_1 = require("../utils/");
var getUniqueID = utils_1.idGenerator('portal-');
var Portal = function (_a) {
    var idPrefix = _a.idPrefix, children = _a.children;
    var _b = tslib_1.__read(React.useState(false), 2), isMounted = _b[0], setIsMounted = _b[1];
    var portalNode;
    var portalId = idPrefix !== '' ? idPrefix + "-" + getUniqueID() : getUniqueID();
    portalNode = document.createElement('div');
    portalNode.setAttribute('data-portal-id', portalId);
    document.body.appendChild(portalNode);
    React.useEffect(function () {
        setIsMounted(true);
        return function () {
            document.body.removeChild(portalNode);
        };
    }, []);
    return isMounted ? react_dom_1.createPortal(children, portalNode) : null;
};
Portal.defaultProps = {
    idPrefix: '',
};
exports.default = Portal;
//# sourceMappingURL=Portal.js.map