"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Choice_1 = tslib_1.__importDefault(require("../Choice/Choice"));
var utils_1 = require("../utils");
var styles = tslib_1.__importStar(require("./RadioButton.module.scss"));
var getUniqueID = utils_1.idGenerator('RadioButton');
var RadioButton = function (_a) {
    var label = _a.label, labelHidden = _a.labelHidden, labelIcon = _a.labelIcon, helpText = _a.helpText, checked = _a.checked, disabled = _a.disabled, onChange = _a.onChange, onFocus = _a.onFocus, onBlur = _a.onBlur, _b = _a.id, id = _b === void 0 ? getUniqueID() : _b, _c = _a.name, name = _c === void 0 ? id : _c, value = _a.value;
    var _d;
    var classNames = classnames_1.default(styles['RadioButton'], (_d = {}, _d[styles['Disabled']] = disabled, _d));
    var handleChange = function (e) {
        var currentTarget = e.currentTarget;
        if (onChange) {
            onChange(e);
        }
        if (checked && !currentTarget.checked) {
            currentTarget.focus();
        }
    };
    return (React.createElement(Choice_1.default, { id: id, label: label, labelIcon: labelIcon, labelHidden: labelHidden, helpText: helpText, disabled: disabled },
        React.createElement("span", { className: classNames },
            React.createElement("input", { id: id, name: name, value: value, type: "radio", checked: checked, disabled: disabled, className: styles['Input'], onChange: handleChange, onFocus: onFocus, onBlur: onBlur, role: "radio" }),
            React.createElement("span", { className: styles['Backdrop'] }),
            React.createElement("span", { className: styles['Icon'] },
                React.createElement("i", null)))));
};
exports.default = RadioButton;
//# sourceMappingURL=RadioButton.js.map