"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var TextField_1 = require("../TextField");
var utils_1 = require("../utils/");
var styles = tslib_1.__importStar(require("./Select.module.scss"));
var getUniqueID = utils_1.idGenerator('Select');
var initOption = {
    label: '',
    value: '',
};
var getSelectedOption = function (options, value) {
    return (options && options.filter(function (option) { return option.value === value; })[0]) || initOption;
};
var Select = function (_a) {
    var options = _a.options, label = _a.label, labelHidden = _a.labelHidden, disabled = _a.disabled, helpText = _a.helpText, _b = _a.id, id = _b === void 0 ? getUniqueID() : _b, placeholder = _a.placeholder, name = _a.name, _c = _a.value, value = _c === void 0 ? '' : _c, error = _a.error, onChange = _a.onChange, onFocus = _a.onFocus, onBlur = _a.onBlur;
    var _d, _e;
    var _f = tslib_1.__read(React.useState(false), 2), open = _f[0], setOpen = _f[1];
    var _g = tslib_1.__read(React.useState(false), 2), focus = _g[0], setFocus = _g[1];
    var _h = tslib_1.__read(React.useState(getSelectedOption(options, value)), 2), selectedOption = _h[0], setSelectedOption = _h[1];
    var refShadowInput = React.useRef(null);
    var className = classnames_1.default(styles['Select'], (_d = {}, _d[styles['Open']] = open, _d), (_e = {}, _e[styles['Disabled']] = disabled, _e));
    var classSelectInput = classnames_1.default(styles['SelectInput']);
    var classSelectOptions = classnames_1.default(styles['SelectOptions']);
    var handleChange = function (valueChanged, changedId) {
        if (onChange) {
            setSelectedOption(getSelectedOption(options, valueChanged));
            var event_1 = new Event('change', { bubbles: true });
            if (refShadowInput.current) {
                utils_1.setNativeValue(refShadowInput.current, valueChanged);
                refShadowInput.current.dispatchEvent(event_1);
            }
        }
    };
    var shadowChange = function (e) {
        if (onChange) {
            onChange(e);
        }
    };
    var handleFocus = function () {
        setFocus(true);
    };
    var handleBlur = function () { };
    var handleClick = function () {
        if (!disabled) {
            setFocus(!focus);
            setOpen(!open);
        }
    };
    var handleClickOption = function (e) {
        var selectedValue = e.currentTarget.dataset.optionValue;
        if (selectedValue) {
            handleChange(selectedValue, id);
        }
    };
    return (React.createElement("div", { className: className, onFocus: handleFocus, onBlur: handleBlur, onClick: handleClick },
        React.createElement("div", { className: classSelectInput },
            React.createElement(TextField_1.TextField, { label: label, placeholder: placeholder, iconRight: "arrows", focused: focus, value: selectedOption.label, onChange: handleChange, disabled: disabled, helpText: helpText, error: error }),
            React.createElement("input", { className: styles['shadow-input'], type: "text", value: selectedOption.label, onChange: shadowChange, onInput: shadowChange, ref: refShadowInput, name: id, id: id })),
        React.createElement("div", { className: classSelectOptions }, options &&
            options.map(function (option) {
                return (React.createElement("div", { key: option.value, onClick: handleClickOption, "data-option-value": option.value }, option.label));
            }))));
};
exports.default = Select;
//# sourceMappingURL=Select.js.map