"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Box_1 = require("../Box/");
var Cell_1 = tslib_1.__importDefault(require("./components/Cell/Cell"));
var styles = tslib_1.__importStar(require("./TableList.module.scss"));
var TableList = (function (_super) {
    tslib_1.__extends(TableList, _super);
    function TableList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TableList.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, inCard = _b.inCard;
        var classNames = classnames_1.default('table-responsive', styles['TableList'], (_a = {}, _a[styles['InCard']] = inCard, _a));
        return (React.createElement(Box_1.Box, tslib_1.__assign({}, this.props),
            React.createElement("div", { className: classNames },
                React.createElement("table", { className: "table table-condensed no-margin" }, children))));
    };
    TableList.defaultProps = { width: 1 };
    TableList.Cell = Cell_1.default;
    TableList.Head = function (_a) {
        var children = _a.children;
        return React.createElement("thead", null, children);
    };
    TableList.Body = function (_a) {
        var children = _a.children;
        return React.createElement("tbody", null, children);
    };
    TableList.Row = function (_a) {
        var children = _a.children;
        return React.createElement("tr", null, children);
    };
    TableList.ColumnHeader = function (_a) {
        var children = _a.children, align = _a.align;
        var className = "" + (align === 'right' ? 'text-right' : '');
        return (React.createElement("th", { className: className },
            React.createElement("div", null, children)));
    };
    return TableList;
}(React.Component));
exports.default = TableList;
//# sourceMappingURL=TableList.js.map