"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var react_1 = tslib_1.__importStar(require("react"));
var TabContent_1 = require("./components/TabContent/");
var TabItem_1 = require("./components/TabItem/");
var TabsNavigation_1 = require("./components/TabsNavigation/");
var styles = tslib_1.__importStar(require("./Tabs.module.scss"));
var defaultIsSelectedTestNumber = function (selectedIndex, tab, tabIndex) {
    return selectedIndex === tabIndex;
};
var defaultIsSelectedTestObject = function (selected, tab) { return selected === tab; };
var defaultComponents = {
    Content: TabContent_1.TabContent,
    Item: TabItem_1.TabItem,
};
var Tabs = (function (_super) {
    tslib_1.__extends(Tabs, _super);
    function Tabs(props) {
        var _this = _super.call(this, props) || this;
        _this.resolveSelected = function (selected, newProps) {
            var _a = newProps || _this.props, tabs = _a.tabs, isSelectedTest = _a.isSelectedTest;
            var testFunction = (function () {
                if (isSelectedTest) {
                    return isSelectedTest;
                }
                if (typeof selected === 'number') {
                    return defaultIsSelectedTestNumber;
                }
                return defaultIsSelectedTestObject;
            })();
            return tabs.find(function (tab, tabIndex) { return testFunction(selected, tab, tabIndex); }) || tabs[0];
        };
        _this.onSelect = function (newselected, newSelectedIndex) {
            var _a = _this.props, onSelect = _a.onSelect, selected = _a.selected;
            if (typeof onSelect === 'function') {
                onSelect(newselected, newSelectedIndex);
            }
            if (typeof selected === 'undefined') {
                _this.setState({ selected: newselected });
            }
        };
        var initiallyselected = _this.props.selected || _this.props.defaultSelected || _this.props.tabs[0];
        var selected = _this.resolveSelected(initiallyselected);
        _this.state = {
            selected: selected,
        };
        return _this;
    }
    Tabs.prototype.componentWillReceiveProps = function (newProps) {
        if (typeof newProps.selected !== 'undefined' && newProps.selected !== this.state.selected) {
            var selected = this.resolveSelected(newProps.selected, newProps);
            this.setState({ selected: selected });
        }
        else if (newProps.tabs !== this.props.tabs) {
            var updatedselected = this.resolveSelected(this.state.selected, newProps);
            this.setState({ selected: updatedselected });
        }
    };
    Tabs.prototype.render = function () {
        var _a;
        var _b = this.props, components = _b.components, tabs = _b.tabs, _c = _b.appearance, appearance = _c === void 0 ? 'default' : _c;
        var selected = this.state.selected;
        var _d = tslib_1.__assign({}, defaultComponents, components), Content = _d.Content, Item = _d.Item;
        var contentProps = {
            data: selected,
            elementProps: {
                role: 'tabpanel',
            },
        };
        var classNames = classnames_1.default(styles['Tabs'], (_a = {},
            _a[styles['BackgroundMode']] = appearance === 'background',
            _a[styles['FullwidthMode']] = appearance === 'fullwidth',
            _a));
        return (react_1.default.createElement("div", { className: classNames },
            react_1.default.createElement(TabsNavigation_1.TabsNavigation, { component: Item, onSelect: this.onSelect, selected: selected, tabs: tabs }),
            react_1.default.createElement(Content, tslib_1.__assign({}, contentProps))));
    };
    Tabs.defaultProps = {
        components: {},
    };
    return Tabs;
}(react_1.Component));
exports.default = Tabs;
//# sourceMappingURL=Tabs.js.map