import { ComponentType } from 'react';
export interface ITabData {
    label?: string;
    content?: Node;
}
interface ITabItemElementProps {
    'aria-posinset'?: number;
    'aria-selected'?: boolean;
    'aria-setsize'?: number;
    onClick?: () => void;
    onKeyDown?: (e: KeyboardEvent) => void;
    onMouseDown?: (e: MouseEvent) => void;
    role?: string;
    tabIndex?: number | string;
}
declare type TabItemInnerRef = (ref: HTMLElement) => void;
export interface ITabItemComponentProvided {
    data: ITabData;
    elementProps: ITabItemElementProps;
    innerRef: TabItemInnerRef;
    isSelected: boolean;
}
export interface ITabContentComponentProvided {
    data: ITabData;
    elementProps: {
        role?: string;
    };
}
export declare type TabContentType = ComponentType<ITabContentComponentProvided>;
export declare type selectedProp = any;
export declare type IsSelectedTestFunction = (selected: selectedProp, tab: ITabData, tabIndex: number) => boolean;
declare type OnSelectCallback = (selected: ITabData, selectedIndex: number) => void;
export interface ITabsProps {
    components: {
        Item?: any;
        Content?: TabContentType;
    };
    defaultSelected?: selectedProp;
    isSelectedTest?: IsSelectedTestFunction;
    onSelect?: OnSelectCallback;
    selected?: selectedProp;
    tabs: any;
    appearance?: 'background' | 'fullwidth' | 'pills';
}
export interface ITabsState {
    selected: ITabData;
}
export interface ITabsNavigationProps {
    component: any;
    onSelect: any;
    selected: any;
    tabs: any;
}
export {};
