import React, { ReactNode } from 'react';
import './text.scss';
type TextAppearance = 'display-extra-large' | 'display-large' | 'display-medium' | 'display-small' | 'headline-large' | 'headline-medium' | 'headline-small' | 'headline-subhead' | 'title-large' | 'title-medium' | 'title-medium-loud' | 'title-small' | 'body-lead' | 'body-extra-large' | 'body-large' | 'body-large-loud' | 'body-medium' | 'body-medium-loud' | 'body-small' | 'body-extra-small' | 'link-large' | 'link-medium' | 'link-small' | 'label-medium' | 'label-small' | 'button-extra-large' | 'button-large' | 'button-medium' | 'button-small';
interface TextProps {
    align?: 'center' | 'inherit' | 'justify' | 'left' | 'right';
    children?: ReactNode;
    className?: string;
    gutterBottom?: boolean;
    noWrap?: boolean;
    paragraph?: boolean;
    appearance?: TextAppearance;
    variant?: 'body1' | 'body2' | 'button' | 'caption' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'inherit' | 'overline' | 'subtitle1' | 'subtitle2';
    variantMapping?: object;
}
declare const Text: React.FC<TextProps>;
export default Text;
