import React from 'react';
import { NumberFormatValues } from 'react-number-format';
import 'react-calendar/dist/Calendar.css';
export interface BasicTextFieldProps {
    disabled?: boolean;
    label?: string;
    labelHidden?: boolean;
    secondaryLabel?: React.ReactNode;
    error?: Error | boolean | string;
    helperText?: React.ReactNode;
    placeholder?: string;
    id?: string;
    displayRequired?: boolean;
}
export interface ITextFieldProps extends React.HTMLAttributes<HTMLInputElement>, BasicTextFieldProps {
    inputRef?: any;
    prepend?: React.ReactNode;
    append?: React.ReactNode;
    startAdornment?: React.ReactNode;
    endAdornment?: React.ReactNode;
    value?: string | number | undefined;
    readOnly?: boolean;
    autoFocus?: boolean;
    autoComplete?: string;
    focused?: boolean;
    multiline?: boolean;
    datePicker?: boolean;
    dateRange?: boolean;
    colorPicker?: boolean | number;
    type?: string;
    mask?: string;
    name?: string;
    iconLeft?: React.ReactNode;
    iconRight?: React.ReactNode;
    inputProps?: Record<string, any>;
    inputSize?: 'medium' | 'large';
    onFocus?: any;
    onBlur?: any;
    color?: 'primary' | 'secondary' | undefined;
    rows?: string | number;
    rowsMax?: string | number;
    rowsMin?: string | number;
    onChange?(e: React.ChangeEvent<any> | string, id?: string): void;
    mode?: string;
    decimalScale?: number;
    fixedDecimalScale?: boolean;
    allowNegative?: boolean;
    prefix?: string;
    suffix?: string;
    defaultValue?: string | number;
    isNumericString?: boolean;
    format?: string;
    allowEmptyFormatting?: boolean;
    isAllowed?: (values: NumberFormatValues) => boolean;
    locale?: string;
}
declare const TextField: React.FC<ITextFieldProps>;
export default TextField;
