"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var React = tslib_1.__importStar(require("react"));
var Icon_1 = tslib_1.__importDefault(require("../Icon/Icon"));
var Labelled_1 = tslib_1.__importDefault(require("../Labelled/Labelled"));
var utils_1 = require("../utils");
var styles = tslib_1.__importStar(require("./TextField.module.scss"));
var generatedId = utils_1.idGenerator('TextField');
var TextField = function (_a) {
    var _b = _a.value, value = _b === void 0 ? '' : _b, placeholder = _a.placeholder, disabled = _a.disabled, readOnly = _a.readOnly, autoFocus = _a.autoFocus, multiline = _a.multiline, focused = _a.focused, type = _a.type, name = _a.name, error = _a.error, label = _a.label, _c = _a.id, id = _c === void 0 ? generatedId() : _c, helpText = _a.helpText, iconLeft = _a.iconLeft, iconRight = _a.iconRight, prefix = _a.prefix, onChange = _a.onChange, onFocus = _a.onFocus, onBlur = _a.onBlur;
    var _d, _e, _f, _g;
    var _h = tslib_1.__read(React.useState(null), 2), height = _h[0], setHeight = _h[1];
    var _j = tslib_1.__read(React.useState(false), 2), focus = _j[0], setFocus = _j[1];
    var className = classnames_1.default(styles['TextField'], (_d = {}, _d[styles['Disabled']] = disabled, _d), (_e = {}, _e[styles['Focus']] = focus || focused, _e), (_f = {}, _f[styles['Error']] = error, _f), (_g = {}, _g[styles['Multiline']] = multiline, _g));
    var inputType = type === 'currency' ? 'text' : type;
    var prefixMarkup = prefix ? (React.createElement("div", { className: styles['Prefix'], id: id + "Prefix" }, prefix)) : null;
    var characterCount = value.length;
    var inputClassName = classnames_1.default(styles['Input']);
    var input = React.createElement(multiline ? 'textarea' : 'input', {
        autoFocus: autoFocus,
        className: inputClassName,
        disabled: disabled,
        id: id,
        name: name,
        onBlur: onBlur,
        onChange: onChange,
        onFocus: onFocus,
        placeholder: placeholder,
        readOnly: readOnly,
        type: inputType,
        value: value,
    });
    var handleFocus = function () {
        setFocus(true);
    };
    var handleBlur = function () {
        setFocus(false);
    };
    var handleClick = function () {
    };
    return (React.createElement(Labelled_1.default, { label: label, id: id, error: error, helpText: helpText, focused: focus || focused, disabled: disabled },
        React.createElement("div", { className: className, onFocus: handleFocus, onBlur: handleBlur, onClick: handleClick },
            prefixMarkup,
            input,
            iconRight && (React.createElement("div", { className: styles['IconRight'] },
                React.createElement(Icon_1.default, { source: iconRight, color: "grayRegent" }))),
            React.createElement("div", { className: styles['Backdrop'] }))));
};
exports.default = TextField;
//# sourceMappingURL=TextField.js.map