"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Image_1 = require("../Image");
var UnstyledLink_1 = require("../UnstyledLink");
var styles = tslib_1.__importStar(require("./TopBar.module.scss"));
var Search_1 = tslib_1.__importDefault(require("./components/Search"));
var SearchField_1 = tslib_1.__importDefault(require("./components/SearchField/SearchField"));
var UserMenu_1 = tslib_1.__importDefault(require("./components/UserMenu"));
var TopBar = (function (_super) {
    tslib_1.__extends(TopBar, _super);
    function TopBar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TopBar.prototype.render = function () {
        var _a = this.props, userMenu = _a.userMenu, searchField = _a.searchField, searchResults = _a.searchResults, searchResultsVisible = _a.searchResultsVisible, onSearchResultsDismiss = _a.onSearchResultsDismiss, logo = _a.logo;
        var searchResultsMarkup = searchResults && searchResultsVisible ? (React.createElement(Search_1.default, { visible: searchResultsVisible, onDismiss: onSearchResultsDismiss }, searchResults)) : null;
        var searchMarkup = searchField ? (React.createElement(React.Fragment, null,
            searchField,
            searchResultsMarkup)) : null;
        return (React.createElement("div", { className: styles['topbar-container'] },
            React.createElement("div", { className: styles['LogoContainer'] },
                React.createElement(UnstyledLink_1.UnstyledLink, { url: "#" },
                    React.createElement(Image_1.Image, { source: logo, alt: "Logo" }))),
            React.createElement("div", { className: styles['Contents'] },
                searchMarkup,
                userMenu)));
    };
    TopBar.UserMenu = UserMenu_1.default;
    TopBar.SearchField = SearchField_1.default;
    return TopBar;
}(React.Component));
exports.default = TopBar;
//# sourceMappingURL=TopBar.js.map