"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Icon_1 = tslib_1.__importDefault(require("../../../Icon/Icon"));
var styles = tslib_1.__importStar(require("./SearchField.module.scss"));
var SearchField = (function (_super) {
    tslib_1.__extends(SearchField, _super);
    function SearchField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.input = React.createRef();
        _this.handleFocus = function () {
            var onFocus = _this.props.onFocus;
            if (onFocus) {
                onFocus();
            }
        };
        _this.handleBlur = function () {
            var onBlur = _this.props.onBlur;
            if (onBlur) {
                onBlur();
            }
        };
        _this.handleClear = function () {
            var onChange = _this.props.onChange;
            var input = _this.input.current;
            if (input != null) {
                input.value = '';
                onChange('');
                input.focus();
            }
        };
        _this.handleChange = function (_a) {
            var currentTarget = _a.currentTarget;
            var onChange = _this.props.onChange;
            onChange(currentTarget.value);
        };
        return _this;
    }
    SearchField.prototype.componentDidMount = function () {
        var focused = this.props.focused;
        var input = this.input.current;
        if (input && focused) {
            input.focus();
        }
    };
    SearchField.prototype.componentDidUpdate = function (_a) {
        var wasFocused = _a.focused;
        var input = this.input.current;
        if (input == null) {
            return;
        }
        var focused = this.props.focused;
        if (focused && !wasFocused) {
            input.focus();
        }
        else if (!focused && wasFocused) {
            input.blur();
        }
    };
    SearchField.prototype.render = function () {
        var _a = this.props, value = _a.value, focused = _a.focused, active = _a.active, placeholder = _a.placeholder;
        return (React.createElement("div", { className: styles['SearchField'], onFocus: this.handleFocus, onBlur: this.handleBlur },
            React.createElement("input", { placeholder: placeholder, type: "search", autoCapitalize: "off", autoComplete: "off", autoCorrect: "off", ref: this.input, value: value, onChange: this.handleChange, onKeyDown: preventDefault }),
            React.createElement("span", null,
                React.createElement(Icon_1.default, { source: "search", color: "grayRegent" })),
            React.createElement("div", null)));
    };
    return SearchField;
}(React.Component));
exports.default = SearchField;
function preventDefault(event) {
    if (event.key === 'Enter') {
        event.preventDefault();
    }
}
//# sourceMappingURL=SearchField.js.map