"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setNativeValue(element, value) {
    var valueSetter = (Object.getOwnPropertyDescriptor(element, 'value') || { set: undefined }).set;
    var prototype = Object.getPrototypeOf(element);
    var prototypeValueSetter = (Object.getOwnPropertyDescriptor(prototype, 'value') || { set: undefined }).set;
    if (prototypeValueSetter && valueSetter !== prototypeValueSetter) {
        prototypeValueSetter.call(element, value);
    }
    else if (valueSetter) {
        valueSetter.call(element, value);
    }
    else {
        throw new Error('The given element does not have a value setter');
    }
}
exports.setNativeValue = setNativeValue;
//# sourceMappingURL=setNativeValue.js.map